<!-- begin productcode -->
<?php
$actual_url = "/";
$image_dir = "images/eshop_products/";
foreach ($this->breadcrumbs_url as $oProductalue) {
    $actual_url.=$oProductalue . "/";    
}
$cart = new Zend_Session_Namespace('Cart');
if (!empty($this->products)) {
    $l = 1;
    $j = 0;
    //rowdisplay je počet řad, které zobrazí produkty po dvou
    $products_by_two = $this->rowdisplay * 2;
    foreach ($this->products as $k => $oProduct) {
        $id = $oProduct->getProductId();
        ?>
        <!-- begin product -->
        <div class='product'>
            <a href='<?= $actual_url . $oProduct->getAlias() ?>' title='<?= $oProduct->getTitle() ?>'> 
                <div class='imageholder'>
                <?php if (!empty($cart->$id)) { ?>
                    <img id='kosik' class='kosik' src='/graphics/kosik_ico.png' alt='<?= $oProduct->getTitle() ?>' />
                    <p id='pocet' class='kosikcislo cufon'><?= $cart->$id->quantity ?></p>
                    <?php
                }
                if ($oProduct->getNew()) {
                    ?>
                    <img src='/graphics/novinka_<?= $this->lang ?>.png' alt='' style='position: absolute; z-index:3'/>
                    <?php
                }
                if ($oProduct->getCertified()) {
                    ?>
                    <img src='/graphics/certifikace_<?= $this->lang ?>.png' alt='' style='position: absolute; z-index:4'/>
                <?php } 
                if (Zend_Uri::check(IMG_URL . $image_dir . $oProduct->getProductId() . '_detail.jpg')) {
                ?>                    
                    <img src='<?= IMG_URL ?>/<?= $image_dir . $oProduct->getProductId() ?>.jpg' alt='<?= $oProduct->getTitle() ?>' />
                <?php } else { ?>
                    <img src='<?= IMG_URL ?>/<?= $image_dir ?>default.jpg' alt='default' />    
                <?php } ?>
                </div>
            </a>   
            <div class='textholder'>
                <a href='<?= $actual_url . $oProduct->getAlias() ?>' title='<?= $oProduct->getTitle() ?>'>
                    <h2 class="cufon">
                        <?= $oProduct->getTitle() ?>
                    </h2>   
                </a>
                <form method='post' action='/cart/add/'>
                    <p> 
                        <?php
                        echo ($oProduct->getCode()) ? "<b>" . $this->str_code . "</b> " . $oProduct->getCode() . "<br/>" : "";
                        echo ($oProduct->getMaterial()) ? "<b>" . $this->str_material . "</b> " . $oProduct->getMaterial() . "<br/>" : "";
                        echo ($oProduct->getManufactured()) ? "<b>" . $this->str_production . "</b> " . $oProduct->getManufactured() . "<br/>" : "";
                        echo ($oProduct->getNote()) ? $oProduct->getNote() . "<br/>" : "";
                        echo (!empty($this->hair) and $oProduct->getHair()) ? "<b>" . $this->hair . "</b> " . $oProduct->getHair() . "$this->hairunit<br/>" : "";
                        echo ($oProduct->getAvailable()) ? "<b>" . $this->str_available . "</b> " . $oProduct->getAvailable() . "<br/>" : "";
                        //hack pro látky
                        $price = $oProduct->getPrice();
                        $priceunit = $oProduct->getPriceUnit();
                        if ($this->modification == 1) {
                            echo (empty($price) or ( $price == '0.00')) ? "" : "<b>" . $this->str_price4 . "</b> " . $this->currency->toCurrency($priceunit) . " <br/>";
                        } else {
                            echo (empty($priceunit) or ( $priceunit == '0.00')) ? "" : "<b>" . $this->str_price6 . "</b> " . $this->currency->toCurrency($priceunit) . " <br/>";
                        }
                        //taky kvůli látkám
                        if ($this->modification == 1) {
                            $str_size = $this->str_size2;
                            $str_weight = $this->str_weight2;
                            $str_price = $this->str_price0;
                        } else {
                            $str_size = $this->str_size;
                            $str_weight = $this->str_weight;
                            $str_price = $this->str_price0;
                        }
                        if (strpos($oProduct->getSize(), ';')) {
                            $sizes = explode(';', $oProduct->getSize());
                            echo "<b>$str_size</b><select name='size'>";
                            foreach ($sizes as $key => $oProductalue) {
                                echo (isset($cart->$id) and ($key == $cart->$id->size)) ? "<option value='$key' selected='selected' />$oProductalue" : "<option value='$key' />$oProductalue";
                            }
                            echo "</select><br/>";
                        } else {
                            echo "<b>$str_size</b> " . $oProduct->getSize() . "<br/>";
                        }
                        echo ($oProduct->getWeight()) ? "<b>$str_weight</b> " . $oProduct->getWeight() . "<br/>" : "";
                        echo "<b>$str_price</b> " . $this->currency->toCurrency($oProduct->getPrice()) . " <br/>";
                        ?>
                        <input type='hidden' name='product_id' value='<?= $oProduct->getProductId() ?>'/>
                        <input type='hidden' name='redirect' value='<?= $_SERVER['REQUEST_URI'] ?>'/>
                        <?php if ($oProduct->getAllowsale()) { ?>
                            <input style='width: 190px' type='submit' value='<?= $this->str_add ?>'/>
                        <?php } else { ?>
                            <input style="width: 190px" type="button" value="<?= $this->str_ask ?>" onclick="parent.location = 'mailto:<?= $this->email ?>?subject=<?= $this->str_question . " " . $oProduct->getTitle() ?>'">
                        <?php } ?>
                    </p>
                </form>
            </div>
        </div>
        <!-- end product -->
        <?php
        $j++;
        echo "<!-- products_by_two = $products_by_two , j = $j -->";
        if (($j <= $products_by_two) && ($j % 2 == 0)) {
            echo "<div style='clear:left'></div>";
        } else if ($j > $products_by_two) {
            if ($l == 4) {
                echo "<div style='clear:left'></div>";
                $l = 1;
            } else {
                $l++;
            }
        }
    }
} else {
    ?>
    <h2 style='text-align: center'><?= $this->str_noproducts ?></h2>
<?php } ?>
<!-- end productcode -->